
local encount={}
encount["zombi"]=30
encount["bigzombi"]=4
encount["bigrobot"]=0
encount["soldier"]=0
encount["skeleton"]=0
encount["zspawner"]=6

local itemlist={}
itemlist["explosive"]=4
itemlist["smtimebomb"]=0
itemlist["smexplosive"]=3
itemlist["microchip"]=4
itemlist["motor"]=0
itemlist["nailbox"]=3		
itemlist["medkit"]=0
itemlist["smmedkit"]=0		
itemlist["energy"]=0
itemlist["lasgun"]=0
itemlist["lasammo"]=0

local citemlist={}
citemlist["automaat"]=0
citemlist["pystol"]=1
citemlist["pyammo"]=6
citemlist["auammo"]=1
citemlist["pump"]=1
citemlist["ppammo"]=6
citemlist["hardware"]=1
citemlist["riammo"]=0
citemlist["timebomb"]=0	
citemlist["explosive"]=0
citemlist["smtimebomb"]=0
citemlist["smexplosive"]=0
citemlist["microchip"]=0
citemlist["motor"]=0
citemlist["nailbox"]=0	
citemlist["medkit"]=1
citemlist["smmedkit"]=3		
citemlist["lasgun"]=0
citemlist["lasammo"]=0

local rareitemlist={}
rareitemlist["pump"]=1

local modules={
	"temp_moodul",
}
local pstart={x=-2.3,y=-3.0}
GenerateLevel(modules,itemlist,rareitemlist,citemlist,encount,{"varing","torul6pp"},10,pstart)
